Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006934TestLinkAPI - XMLRPCpublic2015-02-05 07:412015-09-19 08:50
Reporterswang3 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.14 (2015 Q3) 
Summary0006934: Set keywords for a test case or a test case set
DescriptionSupport set keywords for a test case or a test case set.

During debugging of this feature, there are 2 issues found in getValidKeywordSet() and fixed.
1. $by_name = false doesn't work.
2. When $keywords is empty, it will return all keywords for this project.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Fileszip file icon xmlrpc.class.zip [^] (48,128 bytes) 2015-02-05 07:41

- Relationships
related to 0006907closedfman XML-RPC API - Remove keywords from a test case set 
child of 0006830closedfman Availables hot-fixes for 1.9.13 & How To get full fixed package from GitHub 

-  Notes
(0022633)
fman (administrator)
2015-02-05 10:55

>> 1. $by_name = false doesn't work.
please provide better details
(0022640)
swang3 (reporter)
2015-02-05 12:18
edited on: 2015-02-05 12:30

Missing '' for this line in getValidKeywordSet():
$sql .= " AND id IN ({$itemSet})";
so changed it to:
$sql .= " AND id IN ('{$itemSet}')";

(0022706)
fman (administrator)
2015-02-13 19:32

Implementation will be completely reviewed and refactored.
Attached code will not be supported
(0022707)
fman (administrator)
2015-02-14 10:32

method addTestCaseKeywords()
 * @param struct $args
* @param string $args["devKey"]
* @param array $args["keywords"]: map key testcaseexternalid
* values array of keyword name

call examples:
$args=array();
$args["devKey"]=isset($_REQUEST['apiKey']) ? $_REQUEST['apiKey'] : $devKey;
$args["keywords"] = array('MAB-3' => array('Barbie','Barbie'),
                                      'MAB-2' => array('Barbie','Jessie'));
(0022708)
fman (administrator)
2015-02-14 10:34

Access to commit:
https://gitorious.org/testlink-ga/testlink-code/commits/1892d9a52ea875317b49b77ec1ec416842b6d535 [^]
(0023984)
fman (administrator)
2015-09-19 08:50

1.9.14 Padawan - released - 2015-09-19

- Issue History
Date Modified Username Field Change
2015-02-05 07:41 swang3 New Issue
2015-02-05 07:41 swang3 File Added: xmlrpc.class.zip
2015-02-05 10:55 fman Note Added: 0022633
2015-02-05 12:18 swang3 Note Added: 0022640
2015-02-05 12:30 swang3 Note Edited: 0022640 View Revisions
2015-02-13 19:32 fman Note Added: 0022706
2015-02-14 10:32 fman Note Added: 0022707
2015-02-14 10:34 fman QA Team - Task Workflow Status => READY FOR TESTING
2015-02-14 10:34 fman Note Added: 0022708
2015-02-14 10:34 fman Status new => resolved
2015-02-14 10:34 fman Fixed in Version => 1.9.14 (2015 Q3)
2015-02-14 10:34 fman Resolution open => fixed
2015-02-14 10:34 fman Assigned To => fman
2015-02-14 10:34 fman Relationship added child of 0006830
2015-02-14 11:06 fman Relationship added related to 0006907
2015-09-19 08:50 fman Note Added: 0023984
2015-09-19 08:50 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker